coastlineBest {oce} | R Documentation

## Find the Name of the Best Coastline Object

### Description

Find the name of the most appropriate coastline for a given locale Checks `coastlineWorld`, `coastlineWorldFine` and `coastlineWorldCoarse`, in that order, to find the one most appropriate for the locale.

### Usage

    coastlineBest(lonRange, latRange, span, debug = getOption("oceDebug"))

### Arguments

`lonRange` | range of longitude for locale
`latRange` | range of latitude for locale
`span` | span of domain in km (if provided, previous two arguments are ignored).
`debug` | set to a positive value to get debugging information during processing.

### Value

The name of a coastline that can be loaded with `data()`.

### Author(s)

Dan Kelley

### See Also

Other things related to `coastline` data: `[[,coastline-method`, `[[<-,coastline-method`, `as.coastline`, `coastline-class`, `coastlineCut`, `coastlineWorld`, `download.coastline`, `plot,coastline-method`, `read.coastline.openstreetmap`, `read.coastline.shapefile`, `subset,coastline-method`, `summary,coastline-method`

[Package oce version 0.9-22 Index]